import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMBKFach extends JavaObject {
    fachID: number;
    lehrerID: number;
    istSchriftlich: boolean;
    vornote: String | null;
    noteSchriftlichePruefung: String | null;
    muendlichePruefung: boolean;
    muendlichePruefungFreiwillig: boolean;
    noteMuendlichePruefung: String | null;
    istSchriftlichBerufsabschluss: boolean;
    noteBerufsabschluss: String | null;
    abschlussnote: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMBKFach;
    static transpilerToJSON(obj: ENMBKFach): string;
    static transpilerToJSONPatch(obj: Partial<ENMBKFach>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMBKFach(obj: unknown): ENMBKFach;
